import { DvnDatePickerI18n } from '@dvn/alaca/components/dvn-date-picker/i18n';
import { EventEmitter } from '../../../../../stencil-public-runtime';
export declare class DvnDatePicker {
  currentDate: Date;
  isCalendarShown: boolean;
  isSliding: boolean;
  isSlidingRight: boolean;
  valueInState?: Date | Date[];
  dateFormat: string;
  weekStartDay: 'monday' | 'saturday' | 'sunday';
  leaned: boolean;
  disabled: boolean;
  placeholder: string;
  value?: Date | Date[];
  highlightedDay?: Date;
  minDate?: Date;
  maxDate?: Date;
  embedded: boolean;
  multiple: boolean;
  shownMonthCount: number;
  strings: DvnDatePickerI18n;
  change: EventEmitter;
  private currentWeekContainer?;
  moveBackward: () => void;
  moveForward: () => void;
  move(date: Date, isForward: boolean): void;
  componentDidLoad(): void;
  onTransitionEnd: () => void;
  isDayDisabled(day: any): boolean;
  onSelectDay: (day: Date) => void;
  updateInnerValue(newValue: Date | Date[]): void;
  componentWillLoad(): void;
  render(): any;
}
